.admin-menu-wrap {
  position: fixed;
  top: 20px;
  right: 0;
  z-index: 999999;
  /* on activation */
}
.admin-menu-wrap #toggle {
  display: block;
  width: 28px;
  height: 30px;
  margin: 30px auto 10px;
}
.admin-menu-wrap #toggle span:after,
.admin-menu-wrap #toggle span:before {
  content: "";
  position: absolute;
  left: 0;
  top: -9px;
}
.admin-menu-wrap #toggle span:after {
  top: 9px;
}
.admin-menu-wrap #toggle span {
  position: relative;
  display: block;
}
.admin-menu-wrap #toggle span,
.admin-menu-wrap #toggle span:after,
.admin-menu-wrap #toggle span:before {
  width: 100%;
  height: 5px;
  background-color: #888;
  transition: all 0.3s;
  -webkit-backface-visibility: hidden;
          backface-visibility: hidden;
  border-radius: 2px;
}
.admin-menu-wrap #toggle.on span {
  background-color: transparent;
}
.admin-menu-wrap #toggle.on span:before {
  transform: rotate(45deg) translate(5px, 5px);
}
.admin-menu-wrap #toggle.on span:after {
  transform: rotate(-45deg) translate(7px, -8px);
}
.admin-menu-wrap #toggle.on + #menu {
  opacity: 1;
  visibility: visible;
}
.admin-menu-wrap #menu {
  color: #999;
  width: 200px;
  padding: 10px;
  margin: auto;
  text-align: center;
  border-radius: 4px;
  background: white;
  box-shadow: 0 1px 8px rgba(0, 0, 0, 0.05);
  opacity: 0;
  visibility: hidden;
  transition: opacity 0.4s;
}
.admin-menu-wrap #menu:after {
  position: absolute;
  top: -15px;
  left: 95px;
  content: "";
  display: block;
  border-left: 15px solid transparent;
  border-right: 15px solid transparent;
  border-bottom: 20px solid white;
}
.admin-menu-wrap ul,
.admin-menu-wrap li,
.admin-menu-wrap li a {
  list-style: none;
  display: block;
  margin: 0;
  padding: 0;
}
.admin-menu-wrap li a {
  padding: 5px;
  color: #888;
  text-decoration: none;
  transition: all 0.2s;
}
.admin-menu-wrap li a:hover,
.admin-menu-wrap li a:focus {
  background: #7c69ef;
  color: #fff;
}

